## TeplLineColumnIndicator TeplLineColumnIndicator — Indicates the cursor position |

## Functions

TeplLineColumnIndicator * | tepl_line_column_indicator_new ()
void | tepl_line_column_indicator_set_view ()
void | tepl_line_column_indicator_set_tab_group ()

## Types and Values

struct | TeplLineColumnIndicator

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── TeplLineColumnIndicator

## Implemented Interfaces

TeplLineColumnIndicator implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplLineColumnIndicator indicates the cursor position by line and column numbers. For example: "Ln 2, Col 3".

The usual case is to pack this widget in a GtkStatusbar.

## Functions

### tepl_line_column_indicator_new ()

    TeplLineColumnIndicator *
    tepl_line_column_indicator_new (void);

#### Returns

a new TeplLineColumnIndicator widget.

[transfer floating]

Since: 6.4

### tepl_line_column_indicator_set_view ()

    void
    tepl_line_column_indicator_set_view (TeplLineColumnIndicator *indicator,
                                         TeplView *view);

Sets a TeplView to update automatically the values for the line and column of the current cursor position. If `view` is `NULL`, then `indicator` will be empty.

Use `tepl_line_column_indicator_set_view()` or `tepl_line_column_indicator_set_tab_group()`, but not both.

#### Parameters

indicator | a TeplLineColumnIndicator. |
view | a TeplView, or `NULL`. | [nullable]

Since: 6.4

### tepl_line_column_indicator_set_tab_group ()

    void
    tepl_line_column_indicator_set_tab_group
                                   (TeplLineColumnIndicator *indicator,
                                    TeplTabGroup *tab_group);

Sets a TeplTabGroup to update automatically the values for the line and column of the current cursor position, for the current “active-tab”.

This function can be called only once per `indicator` .

Use `tepl_line_column_indicator_set_view()` or `tepl_line_column_indicator_set_tab_group()`, but not both.

#### Parameters

indicator | a TeplLineColumnIndicator. |
tab_group | a TeplTabGroup. |

Since: 6.4

## Types and Values

### struct TeplLineColumnIndicator

    struct TeplLineColumnIndicator;